| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataProvider::DataProviderTypeEntryInfo Struct Reference

Data provider type entry info. More...

`#include <DataProviderTypeEntry.qc.dox.h>`

## Public Attributes
*list< string > | children
| The names of any children.
string | desc
| The description of the entry.
string | display_name
| The display name for the entry.
*int | epheremal_type_id
| Epheremal ID for types.
bool | has_type
| True if the entry has a type
*hash< auto > | info
| Free-form information related to the type.
bool | locked = False
| True if the entry is locked and therefore cannot be deleted or updated
string | name
| The name of the entry.
string | path
| The path to the entry including the name as the last element.
string | short_desc
| A short description for the entry, plain text formatting.

## Detailed Description

Data provider type entry info.

## Member Data Documentation

## ◆ has_type

bool DataProvider::DataProviderTypeEntryInfo::has_type

True if the entry has a type

If True then the type has the same name as the entry

## ◆ locked

bool DataProvider::DataProviderTypeEntryInfo::locked = False

True if the entry is locked and therefore cannot be deleted or updated

Note
  only type entries can be locked